| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
ProfileDialog Class Reference

Dialog for managing Wireshark configuration profiles. More...

`#include <profile_dialog.h>`

Inheritance diagram for ProfileDialog:

## Public Types
enum | ProfileAction { ShowProfiles , NewProfile , ImportZipProfile , ImportDirProfile , ExportSingleProfile , ExportAllProfiles , EditCurrentProfile , DeleteCurrentProfile }
| Actions that can be performed on profiles. More...

## Public Member Functions
| ProfileDialog (QWidget *parent=Q_NULLPTR)
| Constructs a ProfileDialog.
virtual | ~ProfileDialog ()
| Destroys the ProfileDialog.
int | execAction (ProfileAction profile_action)
| Executes a specific profile action.
void | selectProfile (QString profile=QString())
| Select the profile with the given name.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events within the dialog.
QLabel * | autoSwitchLimitLabel () const
| Gets the auto switch limit label UI element.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

Dialog for managing Wireshark configuration profiles.

## Member Enumeration Documentation

## ◆ ProfileAction

enum ProfileDialog::ProfileAction

Actions that can be performed on profiles.

Enumerator
ShowProfiles | Show the profiles dialog.
NewProfile | Create a new profile.
ImportZipProfile | Import a profile from a ZIP archive.
ImportDirProfile | Import a profile from a directory.
ExportSingleProfile | Export a single profile.
ExportAllProfiles | Export all profiles.
EditCurrentProfile | Edit the current profile.
DeleteCurrentProfile | Delete the current profile.

## Constructor & Destructor Documentation

## ◆ ProfileDialog()

ProfileDialog::ProfileDialog | ( | QWidget * | parent = Q_NULLPTR | ) |
| explicit

Constructs a ProfileDialog.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ autoSwitchLimitLabel()

QLabel * ProfileDialog::autoSwitchLimitLabel | ( |  | ) | const
| protected

Gets the auto switch limit label UI element.

Returns
  Pointer to the QLabel.

## ◆ execAction()

int ProfileDialog::execAction | ( | ProfileDialog::ProfileAction | profile_action | ) |

Executes a specific profile action.

Parameters

  profile_action | The action to execute.

Returns
  The result code of the action.

## ◆ keyPressEvent()

void ProfileDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected virtual

Handles key press events within the dialog.

Parameters

  event | The key press event.

## ◆ selectProfile()

void ProfileDialog::selectProfile | ( | QString | profile = QString() | ) |

Select the profile with the given name.

If the profile name is empty, the currently selected profile will be chosen instead. If the chosen profile is invalid, the first row will be chosen.

Parameters

  profile | the name of the profile to be selected

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/profile_dialog.h
- /builds/wireshark/wireshark/ui/qt/profile_dialog.cpp